GLFW

- Documentation
- Download
- Community

Data Fields
GLFWvidmode Struct Reference
Monitor reference

Video mode type. More...

## Data Fields
int | width
int | height
int | redBits
int | greenBits
int | blueBits
int | refreshRate

## Detailed Description

This describes a single video mode.

See also
  Video modes
  glfwGetVideoMode
  glfwGetVideoModes

Since
  Added in version 1.0. GLFW 3: Added refresh rate member.

## Field Documentation

## ◆ width

int GLFWvidmode::width

The width, in screen coordinates, of the video mode.

## ◆ height

int GLFWvidmode::height

The height, in screen coordinates, of the video mode.

## ◆ redBits

int GLFWvidmode::redBits

The bit depth of the red channel of the video mode.

## ◆ greenBits

int GLFWvidmode::greenBits

The bit depth of the green channel of the video mode.

## ◆ blueBits

int GLFWvidmode::blueBits

The bit depth of the blue channel of the video mode.

## ◆ refreshRate

int GLFWvidmode::refreshRate

The refresh rate, in Hz, of the video mode.

The documentation for this struct was generated from the following file:

- glfw3.h